Page MenuHomePhabricator

Create a new configuration variable to enable Compact language links as beta feature or not
Closed, ResolvedPublic

Description

There is wgULSCompactLinks but its usage is different. This was used to expose Compact language links as beta feature.
Now a days, we want it as beta feature unconditionally and this configuration does not make sense. So we need to remove it and create a new one to run the Compact language links feature default or beta feature in wikis

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterIntroduce a config variable to enable Compact language links by default
mediawiki/extensions/UniversalLanguageSelector : masterRemove wgULSCompactLinks configuration variable

Event Timeline

santhosh created this task.May 2 2016, 4:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2016, 4:10 AM
santhosh triaged this task as Medium priority.

Change 285900 had a related patch set uploaded (by Santhosh):
Remove wgULSCompactLinks configuration variable

https://gerrit.wikimedia.org/r/285900

Change 285902 had a related patch set uploaded (by Santhosh):
Introduce a config variable to enable Compact language links by default

https://gerrit.wikimedia.org/r/285902

santhosh claimed this task.May 3 2016, 5:18 AM
santhosh added a subscriber: Pavan_santhosh.s.

Change 285900 merged by jenkins-bot:
Remove wgULSCompactLinks configuration variable

https://gerrit.wikimedia.org/r/285900

Change 285902 merged by jenkins-bot:
Introduce a config variable to enable Compact language links by default

https://gerrit.wikimedia.org/r/285902

Amire80 moved this task from Backlog to Other on the ULS-CompactLinks board.May 16 2016, 9:53 AM
Arrbee moved this task from Backlog to QA on the Language-Q4-2016-Sprint 3 board.May 17 2016, 7:25 AM
Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 3 board.May 30 2016, 7:08 AM
Arrbee closed this task as Resolved.May 31 2016, 6:57 AM